﻿( function($) {
  'use strict';



  	/*-------------------------------------------------------------------------------
	  Detect mobile device 
	-------------------------------------------------------------------------------*/


	
	var mobileDevice = false; 

	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
	  	$('html').addClass('mobile');
	  	mobileDevice = true;
	}

	else{
		$('html').addClass('no-mobile');
		mobileDevice = false;
	}



    /*-------------------------------------------------------------------------------
	  Window load
	-------------------------------------------------------------------------------*/



	$(window).on('load', function(){

		var wow = new WOW({
		    offset: 150,          
		    mobile: false
		  }
		);
		
		wow.init();
	});

	var navbar=$('.js-navbar:not(.navbar-fixed)');



	/*-------------------------------------------------------------------------------
	  Loader
	-------------------------------------------------------------------------------*/



	$(".animsition").animsition({
	   inClass: 'fade-in',
       outClass: 'fade-out',
	   inDuration: 1000,
	   outDuration: 700,
	   linkElement: '.menu-list a',
	   // e.g. linkElement: 'a:not([target="_blank"]):not([href^="#"])'
	   loading:true,
	   loadingParentElement: 'body', //animsition wrapper element
	   loadingClass: 'spinner',
	   loadingInner: '<div class="double-bounce1"></div><div class="double-bounce2"></div>', // e.g '<img src="loading.svg" />'
	   timeout: false,
	   timeoutCountdown:5000,
	   onLoadEvent: true,
	   browser: [ 'animation-duration', '-webkit-animation-duration'],
	   // "browser" option allows you to disable the "animsition" in case the css property in the array is not supported by your browser.
	   // The default setting is to disable the "animsition" in a browser that does not support "animation-duration".
	   overlay : false,
	   overlayClass : 'animsition-overlay-slide',
	   overlayParentElement : 'body',
	   transition: function(url){ window.location.href = url; }
	});



	/*-------------------------------------------------------------------------------
	  Navbar 
	-------------------------------------------------------------------------------*/



	navbar.affix({
	  offset: {
	    top: 50
	  }
	});


	navbar.on('affix.bs.affix', function() {
		if (!navbar.hasClass('affix')){
			navbar.addClass('animated slideInDown');
		}
	});

	navbar.on('affixed-top.bs.affix', function() {
	  	navbar.removeClass('animated slideInDown');
	  	
	});

	$('.nav-mobile-list li a[href="#"]').on('click',function(){
		$(this).closest('li').toggleClass('current');
		$(this).closest('li').children('ul').slideToggle(200);
		return false;
	});



	/*-------------------------------------------------------------------------------
	  Menu
	-------------------------------------------------------------------------------*/



	$('.navbar-toggle').on('click',function(){
		$('body').removeClass('menu-is-closed').addClass('menu-is-opened');
	});

	$('.close-menu, .click-capture').on('click', function(){
		$('body').removeClass('menu-is-opened').addClass('menu-is-closed');
		$('.menu-list ul').slideUp(300);
	});

	var dropToggle =$('.menu-list > li').has('ul').children('a');


	dropToggle.on('click',function(){
		dropToggle.not(this).closest('li').find('ul').slideUp(200);
		$(this).closest('li').children('ul').slideToggle(200);
		return false;
	});



	/*-------------------------------------------------------------------------------
	  Smooth scroll to anchor
	-------------------------------------------------------------------------------*/



    $('.js-target-scroll').on('click', function() {
        var target = $(this.hash);
        if (target.length) {
            $('html,body').animate({
                scrollTop: (target.offset().top - navbar.outerHeight())
            }, 1000);
            return false;
        }
    });


    
    /*-------------------------------------------------------------------------------
	  Parallax
	-------------------------------------------------------------------------------*/



	$(window).stellar({
	  	responsive: true,
	  	horizontalScrolling: false,
	  	hideDistantElements: false,
	  	horizontalOffset: 0,
	  	verticalOffset: 0,
	});



	/*-------------------------------------------------------------------------------
	  Projects grid
	-------------------------------------------------------------------------------*/



	function columnGrid(){
	  $('.js-grid-items').each(function(){
		  var colWrap =$(this).width(); 
		  var colItem = Math.floor(colWrap / 390); 
		  var colFixedItem = Math.floor(colWrap / colItem);
		  $(this).find('.js-grid-item').css({ 'width' : colWrap});
		  $(this).find('.js-grid-item').css({ 'width' : colFixedItem});
	  });
	}

	columnGrid();

	$(window).resize(function(){
		columnGrid();
	});



	/*-------------------------------------------------------------------------------
	  Hide project info
	-------------------------------------------------------------------------------*/



	// $('.project-detail-control').on('click', function(){
	// 	$(this).toggleClass('active');
	// 	$(this).closest('.project-detail-info').find('.project-detail-content').slideToggle(200);
	// });



	/*-------------------------------------------------------------------------------
	  Owl Carousel
	-------------------------------------------------------------------------------*/


	if ($('.owl-carousel').length > 0){



		/*-------------------------------------------------------------------------------
		  Partners Carousel
		-------------------------------------------------------------------------------*/



		$(".js-partners-carousel").owlCarousel({
			items : 5,
		    itemsDesktop : [1199,3],
		    itemsDesktopSmall : [980,2],
		    itemsTablet: [768,1],
		    itemsMobile : [479,1],
		    pagination:true,
		 	autoHeight : true
		});



		/*-------------------------------------------------------------------------------
		  Clients Carousel
		-------------------------------------------------------------------------------*/



		$(".js-client-carousel").owlCarousel({
			items : 2,
		    itemsDesktop : [1199,1],
		    itemsDesktopSmall : [980,1],
		    itemsTablet: [768,1],
		    itemsMobile : [479,1], 
		    pagination:true,
		 	autoHeight : true

		});

		/*-------------------------------------------------------------------------------
		  Project Carousel
		-------------------------------------------------------------------------------*/



	   $('.project-carousel').owlCarousel({
		    dots:false,
		    margin:30,
		    nav: true,
		    loop: true,
		    navText:[],
		    autoplay: true,
		    autoplayTimeOut: 2500,
		    smartSpeed:250,
		    responsiveRefreshRate:0,
		    autoWidth:false,
		    items:4,
		    responsiveClass:true,
		    responsive:{
		        0:{
		            items:1
		        },
		        768:{
		            items:2
		        },
		        1200:{
		            items:4
		        },
		        1600:{
		            items:4
		        }
		    }
		});


		/*-------------------------------------------------------------------------------
		  Client Carousel
		-------------------------------------------------------------------------------*/



	    $('.client-carousel').owlCarousel({
		    margin:30,
		    smartSpeed:250,
		    nav:true,
		    navText:[],
		    dots:false,
		    autoHeight: true,
		    responsiveRefreshRate:0,
		    responsive:{
		        0:{
		            items:1
		        },
		        768:{
		            items:1
		        },
		        992:{
		        	items:2
		        },
		        1200:{
		            items:2
		        }
		    }
		});



		/*-------------------------------------------------------------------------------
		  Partner Carousel
		-------------------------------------------------------------------------------*/


		  
	   $('.partner-carousel').owlCarousel({
		    margin:30,
		    smartSpeed:250,
		    dots:true,
		    responsiveRefreshRate:0,
		    responsive:{
		        0:{
		            items:2
		        },
		        768:{
		            items:3
		        },
		        992:{
		        	items:4
		        },
		        1200:{
		        	items:5
		        }
		    }
		});



	    /*-------------------------------------------------------------------------------
		  News Carousel
		-------------------------------------------------------------------------------*/



	   $('.news-carousel').owlCarousel({
		    margin:30,
		    smartSpeed:250,
		    dots:true,
		    responsiveRefreshRate:0,
		    responsive:{
		       0:{
		            items:1
		        },
		        720:{
		            items:2,
		            
		        },
		        1280:{
		            items:3
		        }
		    }
		});

	   $(".review-carousel").owlCarousel({
			responsive:{
		       0:{
		            items:1
		        },
		        720:{
		            items:1,
		            
		        },
		        1280:{
		            items:1
		        }
		    },
		    responsiveRefreshRate:0,
			nav:true,
			navText:[],
			animateIn: 'fadeIn',
		 	dots:false
		});

	}


	/*-------------------------------------------------------------------------------
	  Projects masonry
	-------------------------------------------------------------------------------*/



	 var $container=$('.js-isotope').each(function() {		
		var $container = $(this);
		$container.imagesLoaded( function(){
			$container.isotope({		 
				itemSelector: '.js-isotope-item',
				percentPosition: true,
				layoutMode: 'masonry',	
				masonry: {
				  columnWidth: '.js-isotope-item'
				}	
			});	
		});
    }); 



	/*-------------------------------------------------------------------------------
	  Project Sly Carousel
	-------------------------------------------------------------------------------*/


	// var $frame  = $('.sly');
	// 	var $slidee = $frame.children('ul').eq(0);
	// 	var $wrap   = $frame.parent();
	// 	$frame.sly({
	// 		horizontal: 1,
	// 		itemNav: 'basic',
	// 		smart: 1,
	// 		activateOn: 'click',
	// 		mouseDragging: 1,
	// 		touchDragging: 1,
	// 		releaseSwing: 1,
	// 		startAt: 1,
	// 		scrollBar: $wrap.find('.scrollbar'),
	// 		scrollBy: 1,
	// 		pagesBar: $wrap.find('.pages'),
	// 		activatePageOn: 'click',
	// 		speed: 300,
	// 		elasticBounds: 1,
	// 		easing: 'easeOutExpo',
	// 		dragHandle: 1,
	// 		dynamicHandle: 1,
	// 		clickBar: 1,

	// 		forward: $wrap.find('.forward'),
	// 		backward: $wrap.find('.backward'),
	// 		prev: $wrap.find('.prev'),
	// 		next: $wrap.find('.next'),
	// 		prevPage: $wrap.find('.prevPage'),
	// 		nextPage: $wrap.find('.nextPage')
	// 	});
	// var $frame  = $('.sly');
	// 	var $slidee = $frame.children('ul').eq(0);
	// 	var $wrap   = $frame.parent();

	// 	if ($frame.length > 0){
	// 		$frame.sly({
	// 			horizontal: 1,
	// 			itemNav: 'basic',
	// 			smart: 1,
	// 			activateOn: 'click',
	// 			mouseDragging: 1,
	// 			touchDragging: 1,
	// 			releaseSwing: 1,
	// 			startAt: 0,
	// 			scrollBar: $wrap.find('.scrollbar'),
	// 			scrollBy: 0,
	// 			activatePageOn: 'click',
	// 			speed: 1000,
	// 			elasticBounds: 2,
	// 			dragHandle: 2,
	// 			dynamicHandle: 1,
	// 			clickBar: 0,

	// 			prevPage: $wrap.find('.prev'),
	// 			nextPage: $wrap.find('.next')
	// 		});

	// 		$(window).resize(function(){
	// 			$frame.sly('reload');
	// 		});
	// 	}



	/*-------------------------------------------------------------------------------
	  Filter
	-------------------------------------------------------------------------------*/



	$('.js-filter li a').on('click', function() {
		$('.js-filter .active').removeClass('active');
		$(this).closest('li').addClass('active');
		var selector = $(this).attr('data-filter');
		$('.js-isotope').isotope({
			filter: selector,
			animationOptions: {
				duration: 500,
				queue: false
			}
		});
		return false;
	});



   /*-------------------------------------------------------------------------------
	  Filter Carousel 
	-------------------------------------------------------------------------------*/



	$('.js-filter-carousel li a').on('click', function() {
		$('.js-filter-carousel .active').removeClass('active');
		$(this).closest('li').addClass('active');
		var selector = $(this).attr('data-filter');
		$('.project-carousel').fadeOut(300);
		$('.project-carousel').fadeIn(300);
		setTimeout(function(){
			$('.project-carousel .owl-item').hide();
			$(selector).closest('.project-carousel .owl-item').show();
		}, 300);
		return false;
	});



	/*-------------------------------------------------------------------------------
	  Full screen sections 
	-------------------------------------------------------------------------------*/



    if ($('.pagepiling').length > 0){

      	$('.pagepiling').pagepiling({
    		scrollingSpeed: 280,
		    loopBottom:true,
		    afterLoad: function(anchorLink, index){
		    	if (index == 2 || index == 4 || index == 6){   /* 2, 4, 6, - sections with white bacgkgrounds */
		            $('.navbar').removeClass('navbar-white');
		            $('#pp-nav').removeClass('white');
		            $('.copy-bottom').removeClass('white');
		            $('.lang-bottom').removeClass('white');
		    	}
		    	else{
	            	$('.navbar').addClass('navbar-white');
	            	$('#pp-nav').addClass('white');
	            	$('.copy-bottom').addClass('white');
		            $('.lang-bottom').addClass('white');
	            }
	            
	            
  			}
		});



		/*-------------------------------------------------------------------------------
		   Scroll into sections 
		/-------------------------------------------------------------------------------*/



		$('.pp-scrollable').on('scroll', function () {
    		var scrollTop =$(this).scrollTop();
    		if (scrollTop > 0 ) {
    			$('.navbar-2').removeClass('navbar-white');
    		}
    		else{
    			$('.navbar-2').addClass('navbar-white');
    		}
		});



		/*-------------------------------------------------------------------------------
		   Scroller navigation
		/-------------------------------------------------------------------------------*/



		$('#pp-nav').remove().appendTo('.animsition').prepend('<div class="pp-nav-up icon-chevron-up"></div>').append('<div class="pp-nav-down icon-chevron-down"></div>').addClass('white right-boxed hidden-xs');

		$('.pp-nav-up').on('click', function(){
			$.fn.pagepiling.moveSectionUp();
		});

		$('.pp-nav-down').on('click', function(){
			$.fn.pagepiling.moveSectionDown();
		});
    } 



    /*-------------------------------------------------------------------------------
	  Change bacgkround on project section
	-------------------------------------------------------------------------------*/



    $('.project-box').on('mouseover',function(){
    	var index = $('.project-box').index(this);
    	$('.bg-changer .section-bg').removeClass('active').eq(index).addClass('active');
    });



	/*-------------------------------------------------------------------------------
	  Ajax Forms
	-------------------------------------------------------------------------------*/



	if ($('.js-form').length) {
		$('.js-form').each(function(){
			$(this).validate({
				errorClass: 'error wobble-error',
			    submitHandler: function(form){
		        	$.ajax({
			            type: "POST",
			            url:"mail.php",
			            data: $(form).serialize(),
			            success: function() {
		                	$('.success-message').show();
		                },

		                error: function(){
			                $('.error-message').show();
			            }
			        });
			    }
			});
		});
	}

	// same height div father
	// $(window).load(function(){
	$(window).on("load resize", function () {
		var content1=document.querySelector('.contentCallToAction1');
		var callToAction1=document.querySelector('#call-to-action1');
		content1.style.height=callToAction1.offsetHeight + 'px';

		var content2=document.querySelector('.contentTerraza');
		var ecoWoodTer=document.querySelector('#eco-wood-terrazas');
		content2.style.height=ecoWoodTer.offsetHeight + 'px';

		var content3=document.querySelector('.contentCallToAction2');
		var callToAction2=document.querySelector('#call-to-action2');
		content3.style.height=callToAction2.offsetHeight + 'px';
		
		var content4=document.querySelector('.contentProject');
		var projects=document.querySelector('#projects');
		content4.style.height=projects.offsetHeight + 'px';

		var content5=document.querySelector('.contentFooter');
		var footer=document.querySelector('#footer');
		content5.style.height=footer.offsetHeight + 'px';

		var content6=document.querySelector('.contentTouch');
		var keepInTouch=document.querySelector('#keep-in-touch');
		content6.style.height=keepInTouch.offsetHeight + 'px';

		var content7=document.querySelector('.contentSiding');
		var ecoWoodSiding=document.querySelector('#eco-wood-siding');
		content7.style.height=ecoWoodSiding.offsetHeight + 'px';
	}).resize();
	// });
	

	

	// Scroll Menu animation
	$('.scroll').click(function(e){				
		e.preventDefault();
		var strAncla=$(this).attr('href');
			$('body,html').stop(true,true).animate({				
				scrollTop: $(strAncla).offset().top - 80
			},1000);
	});


	// Form Send Eco design
	$('.btn-form').on('click', function(){
        console.log("click");
        $.ajax({
            type: "POST",
            data: $(this).closest("form").serialize(),
            url: "process.php",
            success: function (mje) {
                if (mje == 0){
                    $('.message-form').html("<span style='color:#000; font-size: 18px; text-align: center; margin-top:28px; padding-bottom:28px; font-weight:600'>GRACIAS POR CONTACTARNOS</span>");
                    $('.form-contact').trigger("reset");
                    setTimeout(function(){

                        $('.message-form').html("");

                    },3000);
                }else if(mje == 1){
                    $('.message-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>*TODOS LOS CAMPOS SON REQUERIDOS</span>");

                    setTimeout(function(){

                        $('.message-form').html("");

                    },2000);
                }else if(mje == 2){
                    $('.message-form').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>INGRESE UNA DIRECCIÓN DE CORREO VALIDA</span>");

                    setTimeout(function(){

                        $('.message-form').html("");

                    },2000);
                }
            },
        });
    });
    // end

    // Media mobile menu hide on click
    // Discomment if you want to do this on media mobile
    // var widthMobile = $(window).width();
    // if(widthMobile < 768 ){ 
    	$('.js-target-scroll').on('click', function(){
    		$('.close-menu').click();
    	})	
    // }

})(jQuery);
